## oxigraph 0.4.0~rc1

=== debian/changelog ===
oxigraph (0.4.0~rc1-2) unstable; urgency=medium

  * bump project versions in autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Aug 2024 15:16:52 +0200

oxigraph (0.4.0~rc1-1) unstable; urgency=medium

  [ upstream ]
  * new release candicate

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream, now obsolete
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Aug 2024 15:06:36 +0200

oxigraph (0.4.0~alpha8-3) unstable; urgency=medium

  * stop mention or (build-)depend on crates
    lazy_static rio_api rio_turtle rio_xml,
    unused since v0.4.0-alpha1;
    thanks to Thomas Tanon
  * add patches cherry-picked upstream:
    + link with atomic lib on arches armv5te and riscv64gc
    + omit generating man pages for help commands
    drop superseded patch 1002
  * stop mention dh-cargo in long description

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Aug 2024 19:41:16 +0200

oxigraph (0.4.0~alpha8-2) experimental; urgency=medium

  * drop patch 2001_quick-xml;
    bump (build-)dependencies for crate quick-xml
    (see bug#1079368)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Aug 2024 17:51:59 +0200

oxigraph (0.4.0~alpha8-1) unstable; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * drop patches cherry-picked upstream, now obsolete
  * drop patch 1001, adopted upstream
  * unfuzz patches
  * add patches 2001_*
    to accept older branches of crates quick-xml rustc-hash
  * build-depend on packages
    for crates clap_complete clap_mangen
  * generate and install upstream-sourced
    shell completion scripts and man pages;
    build-depend on dh-sequence-bash-completion;
    suggest bash-completion;
    stop build-depend on help2man libstring-shellquote-perl

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Aug 2024 16:29:02 +0200

oxigraph (0.4.0~alpha7-25) unstable; urgency=medium

  * stop build-depend on package for crate clap-lex,
    unused since 0.4.0~alpha6-1;
    closes: bug#1078919, thanks to Peter Green
  * add minimal yet sensible autopkgtest for oxigraph convert

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Aug 2024 20:06:18 +0200

oxigraph (0.4.0~alpha7-24) unstable; urgency=medium

  * give up: avoid autopkgtest on riscv64

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Aug 2024 00:32:56 +0200

oxigraph (0.4.0~alpha7-23) unstable; urgency=medium

  * check default-features autopkgtests unoptimized

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 05 Aug 2024 19:19:15 +0200

oxigraph (0.4.0~alpha7-22) unstable; urgency=medium

  * extend patch 2004, silencing build-time warning
  * update autopkgtests:
    + check all but default-features tests only on amd64
    + check explicitly oxrocksdb-sys feature pkg-config

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Aug 2024 12:41:37 +0200

oxigraph (0.4.0~alpha7-21) unstable; urgency=medium

  * tighten build rules to catch failure in loop
  * skip more autpkgtest tests on riscv64
  * add TODO note about omitted package node-oxigraph

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Aug 2024 12:14:25 +0200

oxigraph (0.4.0~alpha7-20) unstable; urgency=medium

  * trust upstream optimization level unless explicitly disabled
  * enable hardening and pedantic build options
  * reduce autopkgtest to check single-feature tests only on amd64

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Jul 2024 11:00:26 +0200

oxigraph (0.4.0~alpha7-19) unstable; urgency=medium

  * fix patch 1002

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Jul 2024 07:37:35 +0200

oxigraph (0.4.0~alpha7-18) unstable; urgency=medium

  * fix dependency for crate libc
  * stop skip checking tests on ppc64,
    seemingly unneeded after all
    (problem really was with ppc64el
    but apparently was only a temprorary fluke)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 28 Jul 2024 10:53:22 +0200

oxigraph (0.4.0~alpha7-17) unstable; urgency=medium

  * fix depend on packages for crates bindgen cc libc;
    relax build-dependency for crate bindgen
  * skip checking testsuite on ppc64, as it might be broken there
  * fix patch 1002;
    simplify patch 2006

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 28 Jul 2024 01:03:46 +0200

oxigraph (0.4.0~alpha7-16) unstable; urgency=medium

  * add patch 1002
    to explicitly link oxrocksdb-sys against libatomic on armel;
    drop related non-working build flag
  * skip oxrdf all-features autopkgtest on riscv64
    due to memory exhaustion

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jul 2024 23:16:40 +0200

oxigraph (0.4.0~alpha7-15) unstable; urgency=medium

  * add patch cerry-picked upstream
    to make a Double test more lenient
  * explicitly link against libatomic on uncommon archs

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jul 2024 01:12:25 +0200

oxigraph (0.4.0~alpha7-14) unstable; urgency=medium

  * drop out-of-memory workaround for weak arches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jul 2024 16:18:01 +0200

oxigraph (0.4.0~alpha7-13) unstable; urgency=medium

  * relax out-of-memory workaround for weak arches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jul 2024 14:13:45 +0200

oxigraph (0.4.0~alpha7-12) unstable; urgency=medium

  * tighten substvars:
    use ${rust:Version:*} with full package name
    (see bug#1076434)
  * autopkgtest-depend on dh-rust (not dh-cargo)
  * reduce risk of out-of-memory issues
    during build for weak arches;
    stop ignore failures on archs armel armhf arm64

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jul 2024 01:41:17 +0200

oxigraph (0.4.0~alpha7-11) experimental; urgency=medium

  * generate manpages also for subcommandsi;
    build-depend on libstring-shellquote-perl
  * add patch 1001
    to tighten help strings for use self-contained
  * update patch cherry-picked upstream
  * add patch cherry-picked upstream
    to omit some tests on 32-bit archs;
    enable checking related tests
  * stop omit build target dh_dwz

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jul 2024 21:34:44 +0200


