## oxigraph 0.4.1

=== debian/changelog ===
oxigraph (0.4.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * add bug URI in DEP-3 patch header
  * unfuzz patches
  * stop avoid wasm32-only crates:
    + drop patch 2001_wasm32
    + reduce patch 2004_avoid_js
    + (build-)depend on packages for crates getrandom js-sys
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Oct 2024 14:31:27 +0200

oxigraph (0.4.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * apply version prefix 'really' only when needed
  * bump project versions in autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Sep 2024 00:07:40 +0200

oxigraph (0.4.0~rc2-1) unstable; urgency=medium

  [ upstream ]
  * new release candicate

  [ Jonas Smedegaard ]
  * unfuzz patches
  * bump project versions in autopkgtests
  * update watch file: improve filename mangling

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Sep 2024 23:18:20 +0200
