=== debian/control ===
--- 
+++ 
@@ -21,8 +21,10 @@
  librust-dashmap-5+default-dev,
  librust-digest-0.10+default-dev,
  librust-flate2-1+default-dev,
+ librust-getrandom-0.2+default-dev,
  librust-hex-0.4+default-dev,
  librust-is-terminal-0.4+default-dev,
+ librust-js-sys-0.3+default-dev,
  librust-json-event-parser-0.2+default-dev,
  librust-libc-0.2+default-dev,
  librust-md-5-0.10+default-dev,
@@ -125,24 +127,24 @@
  librust-oxrdf-0.2+oxsdatatypes-dev (= ${binary:Version}),
  librust-oxrdf-0.2+rdf-star-dev (= ${binary:Version}),
  librust-oxrdf-0.2-dev (= ${binary:Version}),
- librust-oxrdf-0.2.0-dev (= ${binary:Version}),
+ librust-oxrdf-0.2.1-dev (= ${binary:Version}),
  librust-oxrdfio-0-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdfio-0.1+async-tokio-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdfio-0.1+default-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdfio-0.1+rdf-star-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdfio-0.1-dev (= ${rust:Version:librust-oxrdfio-dev}),
- librust-oxrdfio-0.1.0-dev (= ${rust:Version:librust-oxrdfio-dev}),
+ librust-oxrdfio-0.1.1-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdfxml-0-dev (= ${rust:Version:librust-oxrdfxml-dev}),
  librust-oxrdfxml-0.1+async-tokio-dev (= ${rust:Version:librust-oxrdfxml-dev}),
  librust-oxrdfxml-0.1+default-dev (= ${rust:Version:librust-oxrdfxml-dev}),
  librust-oxrdfxml-0.1-dev (= ${rust:Version:librust-oxrdfxml-dev}),
- librust-oxrdfxml-0.1.0-dev (= ${rust:Version:librust-oxrdfxml-dev}),
+ librust-oxrdfxml-0.1.1-dev (= ${rust:Version:librust-oxrdfxml-dev}),
  librust-oxttl-0-dev (= ${rust:Version:librust-oxttl-dev}),
  librust-oxttl-0.1+async-tokio-dev (= ${rust:Version:librust-oxttl-dev}),
  librust-oxttl-0.1+default-dev (= ${rust:Version:librust-oxttl-dev}),
  librust-oxttl-0.1+rdf-star-dev (= ${rust:Version:librust-oxttl-dev}),
  librust-oxttl-0.1-dev (= ${rust:Version:librust-oxttl-dev}),
- librust-oxttl-0.1.0-dev (= ${rust:Version:librust-oxttl-dev}),
+ librust-oxttl-0.1.1-dev (= ${rust:Version:librust-oxttl-dev}),
 Description: data structures related to RDF - Rust source code
  OxRDF is a simple library
  providing datastructures encoding RDF 1.1 concepts.
@@ -164,6 +166,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
+ librust-js-sys-0.3+default-dev,
  librust-thiserror-1+default-dev,
  ${misc:Depends},
 Provides:
@@ -194,7 +197,7 @@
  librust-sparesults-0.2+default-dev (= ${binary:Version}),
  librust-sparesults-0.2+rdf-star-dev (= ${binary:Version}),
  librust-sparesults-0.2-dev (= ${binary:Version}),
- librust-sparesults-0.2.0-dev (= ${binary:Version}),
+ librust-sparesults-0.2.1-dev (= ${binary:Version}),
 Description: basic data structures related to RDF - Rust source code
  Sparesults is a set of parsers and serializers
  for SPARQL query results formats.
@@ -227,14 +230,14 @@
  librust-spargebra-0.3+sep-0002-dev (= ${binary:Version}),
  librust-spargebra-0.3+sep-0006-dev (= ${binary:Version}),
  librust-spargebra-0.3-dev (= ${binary:Version}),
- librust-spargebra-0.3.0-dev (= ${binary:Version}),
+ librust-spargebra-0.3.1-dev (= ${binary:Version}),
  librust-sparopt-0-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.1+default-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.1+rdf-star-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.1+sep-0002-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.1+sep-0006-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.1-dev (= ${rust:Version:librust-sparopt-dev}),
- librust-sparopt-0.1.0-dev (= ${rust:Version:librust-sparopt-dev}),
+ librust-sparopt-0.1.1-dev (= ${rust:Version:librust-sparopt-dev}),
 Description: SPARQL parser - Rust source code
  Spargebra is a SPARQL parser.
  It supports both SPARQL 1.1 Query and SPARQL 1.1 Update.
@@ -255,7 +258,9 @@
 Depends:
  librust-dashmap-5+default-dev,
  librust-digest-0.10+default-dev,
+ librust-getrandom-0.2+default-dev,
  librust-hex-0.4+default-dev,
+ librust-js-sys-0.3+default-dev,
  librust-json-event-parser-0.2+default-dev,
  librust-libc-0.2+default-dev,
  librust-md-5-0.10+default-dev,
@@ -263,7 +268,7 @@
  librust-oxilangtag-0.1+default-dev,
  librust-oxiri-0.2+default-dev (>= 0.2.3),
  librust-oxrdf-dev (= 0.4.0~really${rust:Version:librust-oxrdf-dev}),
- librust-oxrocksdb-sys-dev (= 0.4.0~really${rust:Version:librust-oxrocksdb-sys-dev}),
+ librust-oxrocksdb-sys-dev (= ${rust:Version:librust-oxrocksdb-sys-dev}),
  librust-oxsdatatypes-dev (= 0.4.0~really${rust:Version:librust-oxsdatatypes-dev}),
  librust-portable-atomic-1+default-dev,
  librust-rand-0.8+default-dev,
@@ -282,7 +287,7 @@
  librust-oxigraph-0.4+http-client-dev (= ${binary:Version}),
  librust-oxigraph-0.4+rocksdb-debug-dev (= ${binary:Version}),
  librust-oxigraph-0.4-dev (= ${binary:Version}),
- librust-oxigraph-0.4.0-dev (= ${binary:Version}),
+ librust-oxigraph-0.4.1-dev (= ${binary:Version}),
 Description: SPARQL database and RDF toolkit - Rust source code
  Oxigraph is a graph database library
  implementing the SPARQL standard.
@@ -312,7 +317,3 @@
  librust-cc-1+parallel-dev,
  librust-libc-0.2+default-dev,
  librust-pkg-config-0.3+default-dev,
- ${misc:Depends},
-Provides:
- librust-oxrocksdb-sys-0-dev (= ${binary:Version}),
- librust-oxrocksdb-sys-0.4+default-dev (= ${binary:Version}),
