=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,7 @@
 	$(eval librust-sparopt-dev_version = $(call crate_version,lib/sparopt))\
 	set -e; $(foreach p,$(packages),\
 	 dh_gencontrol -p$p -- \
-	 -v'0.4.0~really$($p_version)' \
+	 -v'$(if $(filter librust-oxigraph-dev librust-oxrocksdb-sys-dev,$p),$($p_version),0.4.0~really$($p_version))' \
 	 $(foreach q,$(filter-out $p,$(packages) $(packages_virtual)),\
 	 -V'rust:Version:$q=$($q_version)');)
 	dh_gencontrol --remaining-packages
