## oxigraph 0.4.5

=== debian/changelog ===
oxigraph (0.4.5-2) experimental; urgency=medium

  * tighten patch 2009_yasgui
    to not revert to use bogus content-type text_html
  * update copyright info: update coverage
  * stop omit checking test_backup,
    as upstream supports RocksDB 9.x now
  * omit checking tests leaking memory,
    except sloppily try check them when targeted experimental,
    to aid in resolving bug #1088523

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Jan 2025 16:03:50 +0100

oxigraph (0.4.5-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch 2001_rustc-hash,
    obsoleted by Debian package changes;
    tighten (build-)dependencies for crate rustc-hash
  * update and unfuzz patches
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Dec 2024 01:15:15 +0100

oxigraph (0.4.4-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patches
  * add patch 2010
    to avoid building embedded crate spargeo
  * add patch 2001_quick-xml
    to use older branch of crate quick-xml
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Nov 2024 16:37:45 +0100

oxigraph (0.4.1-2) unstable; urgency=medium

  * stop provide zero-versioned virtual packages
  * add patch 1001 to accept newer branch of crate bindgen;
    relax (build-/autopkgtest-)dependencies for crate bindgen;
    closes: bug#1087350, thanks to NoisyCoil

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Nov 2024 15:19:18 +0100
