=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  librust-anyhow-1+default-dev,
  librust-assert-cmd-2+default-dev,
  librust-assert-fs-1+default-dev,
- librust-bindgen-dev (<< 0.70),
+ librust-bindgen-dev (<< 0.71),
  librust-cc-1+default-dev,
  librust-cc-1+parallel-dev,
  librust-clap-4+default-dev,
@@ -44,7 +44,7 @@
  librust-rayon-1+default-dev,
  librust-rayon-core-1+default-dev,
  librust-regex-1+default-dev,
- librust-rustc-hash-1+default-dev,
+ librust-rustc-hash-2+default-dev,
  librust-sha1-0.10+default-dev,
  librust-sha2-0.10+default-dev,
  librust-siphasher-dev (<< 2),
@@ -122,29 +122,28 @@
  librust-tokio-1+io-util-dev,
  ${misc:Depends},
 Provides:
- librust-oxrdf-0-dev (= ${binary:Version}),
  librust-oxrdf-0.2+default-dev (= ${binary:Version}),
  librust-oxrdf-0.2+oxsdatatypes-dev (= ${binary:Version}),
  librust-oxrdf-0.2+rdf-star-dev (= ${binary:Version}),
  librust-oxrdf-0.2-dev (= ${binary:Version}),
- librust-oxrdf-0.2.1-dev (= ${binary:Version}),
- librust-oxrdfio-0-dev (= ${rust:Version:librust-oxrdfio-dev}),
+ librust-oxrdf-0.2.3-dev (= ${binary:Version}),
+ librust-oxrdfio-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdfio-0.1+async-tokio-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdfio-0.1+default-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdfio-0.1+rdf-star-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdfio-0.1-dev (= ${rust:Version:librust-oxrdfio-dev}),
- librust-oxrdfio-0.1.1-dev (= ${rust:Version:librust-oxrdfio-dev}),
- librust-oxrdfxml-0-dev (= ${rust:Version:librust-oxrdfxml-dev}),
+ librust-oxrdfio-0.1.4-dev (= ${rust:Version:librust-oxrdfio-dev}),
+ librust-oxrdfxml-dev (= ${rust:Version:librust-oxrdfxml-dev}),
  librust-oxrdfxml-0.1+async-tokio-dev (= ${rust:Version:librust-oxrdfxml-dev}),
  librust-oxrdfxml-0.1+default-dev (= ${rust:Version:librust-oxrdfxml-dev}),
  librust-oxrdfxml-0.1-dev (= ${rust:Version:librust-oxrdfxml-dev}),
- librust-oxrdfxml-0.1.1-dev (= ${rust:Version:librust-oxrdfxml-dev}),
- librust-oxttl-0-dev (= ${rust:Version:librust-oxttl-dev}),
+ librust-oxrdfxml-0.1.4-dev (= ${rust:Version:librust-oxrdfxml-dev}),
+ librust-oxttl-dev (= ${rust:Version:librust-oxttl-dev}),
  librust-oxttl-0.1+async-tokio-dev (= ${rust:Version:librust-oxttl-dev}),
  librust-oxttl-0.1+default-dev (= ${rust:Version:librust-oxttl-dev}),
  librust-oxttl-0.1+rdf-star-dev (= ${rust:Version:librust-oxttl-dev}),
  librust-oxttl-0.1-dev (= ${rust:Version:librust-oxttl-dev}),
- librust-oxttl-0.1.1-dev (= ${rust:Version:librust-oxttl-dev}),
+ librust-oxttl-0.1.4-dev (= ${rust:Version:librust-oxttl-dev}),
 Description: data structures related to RDF - Rust source code
  OxRDF is a simple library
  providing datastructures encoding RDF 1.1 concepts.
@@ -170,11 +169,10 @@
  librust-thiserror-1+default-dev,
  ${misc:Depends},
 Provides:
- librust-oxsdatatypes-0-dev (= ${binary:Version}),
  librust-oxsdatatypes-0.2+custom-now-dev (= ${binary:Version}),
  librust-oxsdatatypes-0.2+default-dev (= ${binary:Version}),
  librust-oxsdatatypes-0.2-dev (= ${binary:Version}),
- librust-oxsdatatypes-0.2.0-dev (= ${binary:Version}),
+ librust-oxsdatatypes-0.2.1-dev (= ${binary:Version}),
 Description: some XSD datatypes for SPARQL implementations - Rust source code
  oxsdatatypes is an implementation
  of some XML Schema Definition Language Datatypes.
@@ -193,11 +191,10 @@
  librust-thiserror-1+default-dev,
  ${misc:Depends},
 Provides:
- librust-sparesults-0-dev (= ${binary:Version}),
  librust-sparesults-0.2+default-dev (= ${binary:Version}),
  librust-sparesults-0.2+rdf-star-dev (= ${binary:Version}),
  librust-sparesults-0.2-dev (= ${binary:Version}),
- librust-sparesults-0.2.1-dev (= ${binary:Version}),
+ librust-sparesults-0.2.3-dev (= ${binary:Version}),
 Description: basic data structures related to RDF - Rust source code
  Sparesults is a set of parsers and serializers
  for SPARQL query results formats.
@@ -224,20 +221,19 @@
  librust-thiserror-1+default-dev,
  ${misc:Depends},
 Provides:
- librust-spargebra-0-dev (= ${binary:Version}),
  librust-spargebra-0.3+default-dev (= ${binary:Version}),
  librust-spargebra-0.3+rdf-star-dev (= ${binary:Version}),
  librust-spargebra-0.3+sep-0002-dev (= ${binary:Version}),
  librust-spargebra-0.3+sep-0006-dev (= ${binary:Version}),
  librust-spargebra-0.3-dev (= ${binary:Version}),
- librust-spargebra-0.3.1-dev (= ${binary:Version}),
- librust-sparopt-0-dev (= ${rust:Version:librust-sparopt-dev}),
+ librust-spargebra-0.3.3-dev (= ${binary:Version}),
+ librust-sparopt-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.1+default-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.1+rdf-star-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.1+sep-0002-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.1+sep-0006-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.1-dev (= ${rust:Version:librust-sparopt-dev}),
- librust-sparopt-0.1.1-dev (= ${rust:Version:librust-sparopt-dev}),
+ librust-sparopt-0.1.3-dev (= ${rust:Version:librust-sparopt-dev}),
 Description: SPARQL parser - Rust source code
  Spargebra is a SPARQL parser.
  It supports both SPARQL 1.1 Query and SPARQL 1.1 Update.
@@ -273,7 +269,7 @@
  librust-portable-atomic-1+default-dev,
  librust-rand-0.8+default-dev,
  librust-regex-1+default-dev,
- librust-rustc-hash-1+default-dev,
+ librust-rustc-hash-2+default-dev,
  librust-sha1-0.10+default-dev,
  librust-sha2-0.10+default-dev,
  librust-siphasher-dev (<< 2),
@@ -282,12 +278,11 @@
  librust-thiserror-1+default-dev,
  ${misc:Depends},
 Provides:
- librust-oxigraph-0-dev (= ${binary:Version}),
  librust-oxigraph-0.4+default-dev (= ${binary:Version}),
  librust-oxigraph-0.4+http-client-dev (= ${binary:Version}),
  librust-oxigraph-0.4+rocksdb-debug-dev (= ${binary:Version}),
  librust-oxigraph-0.4-dev (= ${binary:Version}),
- librust-oxigraph-0.4.1-dev (= ${binary:Version}),
+ librust-oxigraph-0.4.5-dev (= ${binary:Version}),
 Description: SPARQL database and RDF toolkit - Rust source code
  Oxigraph is a graph database library
  implementing the SPARQL standard.
@@ -312,8 +307,13 @@
 Multi-Arch: foreign
 Depends:
  librocksdb-dev,
- librust-bindgen-dev (<< 0.70),
+ librust-bindgen-dev (<< 0.71),
  librust-cc-1+default-dev,
  librust-cc-1+parallel-dev,
  librust-libc-0.2+default-dev,
  librust-pkg-config-0.3+default-dev,
+ ${misc:Depends},
+Provides:
+ librust-oxrocksdb-sys-0.4+default-dev (= ${binary:Version}),
+ librust-oxrocksdb-sys-0.4+pkg-config-dev (= ${binary:Version}),
+ librust-oxrocksdb-sys-0.4-dev (= ${binary:Version}),
