=== debian/rules ===
--- 
+++ 
@@ -27,22 +27,54 @@
  -E 'and say "$(DEB_VERSION_UPSTREAM)" =~ /^\Q$$&\E(?:~[a-z]+\d*)?$$/ ? "$(DEB_VERSION)" : "$$&+$(DEB_VERSION_UPSTREAM_REVISION)" and exit' \
  $1/Cargo.toml)
 
+# these test allegedly leaks memory
+# see bug #1088523 and upstream discussions
+# <https://github.com/facebook/rocksdb/issues/4063>
+# <https://github.com/facebook/rocksdb/pull/13106>
+COMMA := ,
+TEST_LEAKY = \
+ store::Store \
+ test_backup \
+ test_backup_on_in_memory \
+ test_backward_compatibility \
+ test_bad_backup \
+ test_bad_stt_open \
+ test_bulk_load_graph_on_disk \
+ test_bulk_load_on_existing_delete_overrides_the_delete_on_disk \
+ test_load_graph_on_disk \
+ test_read_only \
+ test_snapshot_isolation_iterator_on_disk \
+ tests::cli_ask_query_inline \
+ tests::cli_ask_union_default_graph \
+ tests::cli_backup \
+ tests::cli_construct_query_stdin \
+ tests::cli_construct_update_stdin \
+ tests::cli_load_and_dump_dataset \
+ tests::cli_load_and_dump_named_graph \
+ tests::cli_load_and_dump_with_format \
+ tests::cli_load_from_stdin_and_dump_to_stdout \
+ tests::cli_load_gzip_dataset \
+ tests::cli_load_optimize_and_dump_graph \
+ tests::cli_select_query_file \
+ tests::cli_update_file \
+ tests::cli_update_inline
+
 # * test_backward_compatibility:
 #   requires write access to hardcoded path <tests/rocksdb_bc_data>
-# * test_backup test_secondary:
-#   expect linking against RocksDB 8.x
-#   <https://github.com/oxigraph/oxigraph/issues/914>
 TEST_BROKEN = \
- test_backup \
- test_backward_compatibility \
- test_secondary
+ test_backward_compatibility
 
 %:
 	dh $@
 
 override_dh_auto_test:
-	 dh_auto_test --buildsystem rust -- -- $(addprefix --skip ,$(TEST_BROKEN)) \
+	dh_auto_test --buildsystem rust -- \
+	 --no-fail-fast -- $(addprefix --skip ,$(TEST_LEAKY) $(TEST_BROKEN)) \
 	 $(if $(DEB_SUITE_EXP),|| true)
+	$(if $(DEB_SUITE_EXP),\
+	 dh_auto_test --buildsystem rust -- \
+	 --no-fail-fast -- $(addprefix --skip ,$(TEST_BROKEN)) \
+	 || true)
 
 execute_after_dh_auto_install-arch:
 	cp target/*/*/build/oxigraph-cli-*/out/complete/oxigraph.bash debian/bash-completion
